Skip to main content
GET
/
{space_id}
/
workflows
/
{workflow_id}
/
jobs
/
{workflow_job_id}
Error
A valid request URL is required to generate request examples
{
  "id": [
    "e75e68e192e6fc04ea3940d302d7bec5"
  ],
  "name": [
    "Sample Workflow Job Name"
  ],
  "workflow_id": [
    "e3c908ad-dc8f-4edb-88f7-c84dec0aef99"
  ],
  "workflow_name": [
    "MyWorkflow"
  ],
  "progress": [
    90
  ],
  "state": [
    "in-process",
    "succeeded",
    "failed"
  ],
  "workflow_version": "<string>",
  "created_at": [
    "2020-01-21T15:53:12.388317Z"
  ],
  "updated_at": [
    "2020-01-22T15:53:12.182617Z"
  ],
  "elapsed_time": [
    "136.08:01:23.5",
    "1:23:45"
  ]
}

Authorizations

Authorization
string
header
required

API key passed as a Bearer token in the Authorization header

Path Parameters

space_id
string<uuid>
required

UP Space Id

Example:

"d290f1ee-6c54-4b01-90e6-d701748f0851"

workflow_id
string<uuid>
required

Unique identifier of a Workflow

Example:

"e3c908ad-dc8f-4edb-88f7-c84dec0aef99"

workflow_job_id
string<uuid>
required

workflow job id

Example:

"fe2ecbvw-8c9a-4d2b-9f0e-1a2b3c4d5e6f"

Response

Get particular Workflow Job Details

id
string
read-only

Unique Job Identifier

Example:
["e75e68e192e6fc04ea3940d302d7bec5"]
name
string

Workflow Job Name

Example:
["Sample Workflow Job Name"]
workflow_id
string
read-only

The identifier of the workflow associated with this job

Example:
["e3c908ad-dc8f-4edb-88f7-c84dec0aef99"]
workflow_name
string

The name of the workflow that this job was associated with

Example:
["MyWorkflow"]
progress
number
read-only

Workflow Job Progress

Example:
[90]
state
enum<string>
read-only
Available options:
created,
in-process,
succeeded,
failed,
stopped,
retry
Example:
["in-process", "succeeded", "failed"]
workflow_version
string

Workflow Version indicates the revision name

created_at
string<date-time>
read-only

Timestamp when Workflow Job was created as UTC time in iso8601 format

Example:
["2020-01-21T15:53:12.388317Z"]
updated_at
string<date-time>
read-only

Timestamp when Workflow Job was updated as UTC time in iso8601 format

Example:
["2020-01-22T15:53:12.182617Z"]
elapsed_time
string<TimeSpan> | null
read-only

The elapsed time for the workflow job processing calculated as the difference between created_at and updated_at timestamps. This field is only populated when the workflow job is in a terminal state such as succeeded, failed or stopped.

Example:
["136.08:01:23.5", "1:23:45"]